--- tools/gnome-session-check-accelerated-gl-helper.c.orig	2016-08-18 11:09:18.000000000 -0700
+++ tools/gnome-session-check-accelerated-gl-helper.c	2016-08-19 21:58:54.000000000 -0700
@@ -481,26 +550,42 @@
                 _print_error ("No X display.");
                 goto out;
         }
-
+/*
+ *  Mac OS X always fails these checks due to the following
+ *      - No composite extension
+ *      - No GLX_EXT_texture_from_pixmap support
+ *  This is mainly for gnome-shell which we don't support yet.
+ *  For now, print the error but allow gnome-session to
+ *  continue to start up.  We'll deal with any consequences
+ *  down the line.
+ */
         if (!_has_composite (display)) {
                 _print_error ("No composite extension.");
+#ifndef __APPLE__
                 goto out;
+#endif
         }
 
         renderer = _get_hardware_gl (display);
         if (!renderer) {
                 _print_error ("No hardware 3D support.");
+#ifndef __APPLE__
                 goto out;
+#endif
         }
 
         if (!_has_texture_from_pixmap (display)) {
                 _print_error ("No GLX_EXT_texture_from_pixmap support.");
+#ifndef __APPLE__
                 goto out;
+#endif
         }
 
         if (!_is_max_texture_size_big_enough (display)) {
                 _print_error ("GL_MAX_{TEXTURE,RENDERBUFFER}_SIZE is too small.");
+#ifndef __APPLE__
                 goto out;
+#endif
         }
 
         ret = has_llvmpipe ? HELPER_SOFTWARE_RENDERING : HELPER_ACCEL;
